Subject: Re: [ALUG] Lyx - anyone use it?
From: James Freer <[email-masked]>
To: Wayne Stallwood <[email-masked]>
Date: Fri, 07 Dec 2007 16:11:55 +0000

Wayne Stallwood wrote:
> Are you running Ubuntu ?
>
> I think this is caused by the wacom stuff Ubuntu add to the xorg.conf
> file by default. You can safely ignore it or if it is bothering you then
> you would need to edit the xorg.conf file to remove the wacom device and
> then restart X
>
> If you are not sure what bits to strip out of the xorg.conf file then
> stick it up on pastebin and someone here will tell you.
>   

Dave, Wayne and Paul

Thanks for the reply. I hadn't seen that post as i haven't until 
v.recently joined the kubuntu forum!

What i don't follow is the commenting out and then adding in another 
comment indicated below with ***? as below. I'd be grateful if you could 
confirm before i actually do it... and perhaps end up with problems!

I'm running 7.04 feisty. I ran this lyx on 6.04 and 6.10 and had no 
problems.

thanks
james

# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf(5) manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
    FontPath    "/usr/share/fonts/X11/misc"
    FontPath    "/usr/share/fonts/X11/cyrillic"
    FontPath    "/usr/share/fonts/X11/100dpi/:unscaled"
    FontPath    "/usr/share/fonts/X11/75dpi/:unscaled"
    FontPath    "/usr/share/fonts/X11/Type1"
    FontPath    "/usr/share/fonts/X11/100dpi"
    FontPath    "/usr/share/fonts/X11/75dpi"
    # path to defoma fonts
    FontPath    "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
    Load    "i2c"
    Load    "bitmap"
    Load    "ddc"
    Load    "dri"
    Load    "extmod"
    Load    "freetype"
    Load    "glx"
    Load    "int10"
    Load    "vbe"
EndSection

Section "InputDevice"
    Identifier    "Generic Keyboard"
    Driver        "kbd"
    Option        "CoreKeyboard"
    Option        "XkbRules"    "xorg"
    Option        "XkbModel"    "pc105"
    Option        "XkbLayout"    "gb"
EndSection

Section "InputDevice"
    Identifier    "Configured Mouse"
    Driver        "mouse"
    Option        "CorePointer"
    Option        "Device"        "/dev/input/mice"
    Option        "Protocol"        "ImPS/2"
    Option        "ZAxisMapping"        "4 5"
    Option        "Emulate3Buttons"    "true"
EndSection

#Section "InputDevice"
#    Driver        "wacom"
#    Identifier    "stylus"
#    Option        "Device"    "/dev/input/wacom"    #change to 
/dev/input/event for USB ***?
#    Option        "Type"        "stylus"
#    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
#EndSection

#Section "InputDevice"
#    Driver        "wacom"
#    Identifier    "eraser"
#    Option        "Device"    "/dev/input/wacom"    #change to  
/dev/input/event for USB ***?
#    Option        "Type"        "eraser"
#    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
#EndSection

#Section "InputDevice"
#    Driver        "wacom"
#    Identifier    "cursor"
#    Option        "Device"    "/dev/input/wacom"    #change to 
/dev/input/event for USB ***?
#    Option        "Type"        "cursor"
#    Option        "ForceDevice"    "ISDV4"        # Tablet PC ONLY
#EndSection

Section "Device"
    Identifier    "Intel Corporation 82815 CGC [Chipset Graphics 
Controller]"
    Driver        "i810"
    BusID        "PCI:0:2:0"
EndSection

Section "Monitor"
    Identifier    "Generic Monitor"
    Option        "DPMS"
    HorizSync    28-51
    VertRefresh    43-60
EndSection

Section "Screen"
    Identifier    "Default Screen"
    Device        "Intel Corporation 82815 CGC [Chipset Graphics 
Controller]"
    Monitor        "Generic Monitor"
    DefaultDepth    24
    SubSection "Display"
        Depth        1
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
        Depth        4
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
        Depth        8
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
        Depth        15
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
        Depth        16
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
        Depth        24
        Modes        "1024x768" "800x600" "640x480"
    EndSubSection
EndSection

Section "ServerLayout"
    Identifier    "Default Layout"
    Screen        "Default Screen"
    InputDevice    "Generic Keyboard"
    InputDevice    "Configured Mouse"
#    InputDevice     "stylus"    "SendCoreEvents"
#    InputDevice     "cursor"    "SendCoreEvents"
#    InputDevice     "eraser"    "SendCoreEvents"
EndSection

Section "DRI"
    Mode    0666
EndSection